'use strict';

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; }

spice.database = {};
spice.database.connections = {};

(function () {
    var _ref = _asyncToGenerator( /*#__PURE__*/regeneratorRuntime.mark(function _callee() {
        var key, value, Database, connection, result;
        return regeneratorRuntime.wrap(function _callee$(_context) {
            while (1) {
                switch (_context.prev = _context.next) {
                    case 0:
                        _context.prev = 0;
                        _context.t0 = regeneratorRuntime.keys(spice.config.database.connections);

                    case 2:
                        if ((_context.t1 = _context.t0()).done) {
                            _context.next = 14;
                            break;
                        }

                        key = _context.t1.value;
                        value = spice.config.database.connections[key];

                        if (!value.enabled) {
                            _context.next = 12;
                            break;
                        }

                        Database = require('spice-' + value.type);
                        connection = new Database();
                        _context.next = 10;
                        return connection.connect(key, value);

                    case 10:
                        result = _context.sent;

                        spice.database.connections[result.connection] = result.bucket;

                    case 12:
                        _context.next = 2;
                        break;

                    case 14:
                        _context.next = 20;
                        break;

                    case 16:
                        _context.prev = 16;
                        _context.t2 = _context['catch'](0);

                        console.log(_context.t2.stack);
                        throw _context.t2;

                    case 20:
                    case 'end':
                        return _context.stop();
                }
            }
        }, _callee, this, [[0, 16]]);
    }));

    function connect() {
        return _ref.apply(this, arguments);
    }

    return connect;
})()();