'use strict';

var _koaStatic = require('koa-static');

var _koaStatic2 = _interopRequireDefault(_koaStatic);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var nunjucksRender = require('koa-nunjucks-render2'); /**
                                                       * Created by chadfraser on 05/02/2017.
                                                       */

var path = require("path");
var convert = require('koa-convert');

try {
    var nunjucksOptions = {
        ext: spice.config.spice.view.ext || '.html',
        noCache: true,
        throwOnUndefined: false,
        globals: spice.config.spice.view.globals,
        filters: spice.config.spice.view.filters
    };

    if (spice.config.spice.view.custom_tags.enabled == true) {
        nunjucksOptions.tags = {
            variableStart: spice.config.spice.view.custom_tags.start || '${',
            variableEnd: spice.config.spice.view.custom_tags.end || '}'
        };
    }

    spice.app.use(nunjucksRender(path.resolve('./core/client/resource/views'), nunjucksOptions));
    spice.app.use(convert((0, _koaStatic2.default)(path.resolve('./public'))));
} catch (e) {
    console.log(e, e.stack);
}