'use strict';

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

var _fs = require('fs');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

module.exports = function () {
    return new Promise(function (resolve, reject) {
        try {
            (function () {
                console.log(__dirname, spice.root_path + '/config');
                var locations = [__dirname, spice.root_path + '/config'];
                var config = {};
                var _iteratorNormalCompletion = true;
                var _didIteratorError = false;
                var _iteratorError = undefined;

                try {
                    var _loop = function _loop() {
                        var i = _step.value;

                        console.log('Current Dir', i);
                        var files = (0, _fs.readdirSync)(i);
                        files.forEach(function (file) {
                            if (file != 'index.js') {
                                var name = file.split('.')[0];
                                config[name] = _lodash2.default.defaults(require(_path2.default.join(i, file)), config[name]);
                                spice.config = config;
                            }
                        });
                        console.log('Done loading config from', i);
                    };

                    for (var _iterator = locations[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true) {
                        _loop();
                    }
                } catch (err) {
                    _didIteratorError = true;
                    _iteratorError = err;
                } finally {
                    try {
                        if (!_iteratorNormalCompletion && _iterator.return) {
                            _iterator.return();
                        }
                    } finally {
                        if (_didIteratorError) {
                            throw _iteratorError;
                        }
                    }
                }

                resolve(config);
            })();
        } catch (e) {
            reject(e);
        }
    });
};