/**
 * Created by chadfraser on 23/06/2016.
 */
'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var _ = require('lodash');

var Serializer = function () {
    function Serializer(params) {
        _classCallCheck(this, Serializer);

        if (params) {
            if (params.defaults) {
                this.defaults = params.defaults;
            }
            if (params.modifier) {
                this.modifier = params.modifier;
            }
        }
    }

    _createClass(Serializer, [{
        key: 'serialize',
        value: function serialize(item) {
            try {
                if (this.defaults) {
                    _.defaults(item, this.defaults);
                }
                if (this.modifier) {
                    if (_.isFunction(this.modifier)) {
                        this.modifier(item);
                    }
                }
            } catch (e) {
                console.log(e.stack);
            }
        }
    }, {
        key: 'handle',
        value: function handle(params) {
            if (params) {
                if (_.isArray(params)) {
                    var _iteratorNormalCompletion = true;
                    var _didIteratorError = false;
                    var _iteratorError = undefined;

                    try {
                        for (var _iterator = params[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true) {
                            var item = _step.value;

                            this.serialize(item);
                        }
                    } catch (err) {
                        _didIteratorError = true;
                        _iteratorError = err;
                    } finally {
                        try {
                            if (!_iteratorNormalCompletion && _iterator.return) {
                                _iterator.return();
                            }
                        } finally {
                            if (_didIteratorError) {
                                throw _iteratorError;
                            }
                        }
                    }
                } else {
                    this.serialize(params);
                }
            }
        }
    }]);

    return Serializer;
}();

exports.default = Serializer;