var program = require('commander');
var path = require('path');
var _ = require('lodash');
var pluralize = require('pluralize');

function action() {
    console.log('config::mail');
    let fs = require('fs-extra');
    let src = path.join(path.resolve(__dirname+'/../'),'make_templates/mailconfig.js');
    let dest = path.join(path.resolve('./'),'config');
    //console.log('Dir', src);
    if (!fs.existsSync(src)) {
        console.log('src not found', src);
        return false;
    }
    var raw_text = fs.readFileSync(src, 'utf-8');
    var data = {
    }
    var compiled = _.template(raw_text);
    var processed_template = compiled(data);
    //console.log(processed_template);
    fs.ensureDirSync(dest);
    fs.writeFileSync(dest+'/mail.js', processed_template);
    console.log("Done creating mail config %s");
    return true;
}

function command(prog) {
    'use strict';
    program = prog;
    program
        .version('0.0.1')
        .command('config::mail')
        .action(action);
}

module.exports = {
    command: command,
    action: action
};