var fs = require('fs');
var path = require('path');
process.setMaxListeners(0)

module.exports = function commandLoader(program) {
	'use strict';

	var commands = {};
	var loadPath = path.dirname(__filename);
	// Loop though command files
	fs.readdirSync(loadPath).filter(function (filename) {
		return (/\.js$/.test(filename) && filename !== 'index.js');
	}).forEach(function (filename) {
		var name = filename.substr(0, filename.lastIndexOf('.'));

		// Require command
		var command = require(path.join(loadPath, filename)).command;

		// Initialize command
		commands[name] = command(program);
	});

	return commands;
};
