var program = null;
var path = require('path');
var _ = require('lodash');

function action(event, otherEvents) {
    console.log('make::event %s', event);
    let fs = require('fs');
    let src = path.join(path.resolve(__dirname+'/../'),'make_templates/Event.js');
    let dest = path.join(path.resolve('./'),'core/server/eventing/events/');
    console.log('Dir', src);
    if (!fs.existsSync(src)) {
        console.log('src not found', src);
        return false;
    }
    var raw_text = fs.readFileSync(src, 'utf-8');
    var data = {
        class_name: event
    }
    var compiled = _.template(raw_text);
    var processed_template = compiled(data);
    console.log(processed_template);
    fs.writeFileSync(dest+event+'.js', processed_template);

    /* if (otherEvents) {
     otherEvents.forEach(function (oEvent) {
     console.log('make::event %s', oEvent);
     });
     }*/
}
function command(prog) {
    'use strict';
    program = prog;
    program
        .version('0.0.1')
        .command('make::event <event> [otherEvents...]')
        .action(action);
}

module.exports = {
    command: command,
    action: action
};