var program = null;
var path = require('path');
var _ = require('lodash');

function action(model, otherModels) {
    
    try{
        console.log('removing model:: %s', model);
        let fs = require('fs');
        let dest = path.join(path.resolve('./'),'core/server/models/' + model+ '.js');
        if (!fs.existsSync(dest)) {
            console.log('No model found at : \n', dest);
            console.log('removal failed');
            return false;
        }
        fs.unlink(dest ,function(err){
            if(err) return console.log(err);
            console.log('file removed successfully');
       });
    }catch(e){
        console.log(e.stack);
    }
}

function command(prog) {
    'use strict';
    program = prog;
    program
        .version('0.0.1')
        .command('remove::model <model> [otherModels...]')
        .action(action);
}

module.exports = {
    command: command,
    action: action
};