import winston from 'winston';
var logger = winston.createLogger({
  transports: [
    new(winston.transports.File)({
      name: 'info-file',
      filename: './storage/logs/filelog-info.log',
      level: 'info'
    }),
    new(winston.transports.File)({
      name: 'error-file',
      filename: './storage/logs/filelog-error.log',
      level: 'error'
    }),
    new(winston.transports.Console)({
      level: 'debug'
    }),
  ],
  exitOnError: false
});
spice.logger = logger;