/**
 * Created by chadfraser on 05/02/2017.
 */
import serve from 'koa-static';
const nunjucksRender = require('koa-nunjucks-render2')
const path = require("path");
const convert = require('koa-convert');

try{
    const nunjucksOptions = {
        ext: spice.config.spice.view.ext||'.html',
        noCache: true,
        throwOnUndefined: false,
        globals: spice.config.spice.view.globals,
        filters: spice.config.spice.view.filters
    }
    
    
    if(spice.config.spice.view.custom_tags.enabled == true){
        nunjucksOptions.tags = {
            variableStart: spice.config.spice.view.custom_tags.start||'${',
            variableEnd: spice.config.spice.view.custom_tags.end||'}',
        }
    }
    
    spice.app.use(nunjucksRender(path.resolve('./core/client/resource/views'), nunjucksOptions))
    spice.app.use(convert(serve(path.resolve('./public'))));
}catch(e){
    console.log(e, e.stack);
}

