'use strict';

var _winston = require('winston');

var _winston2 = _interopRequireDefault(_winston);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var logger = _winston2.default.createLogger({
  transports: [new _winston2.default.transports.File({
    name: 'info-file',
    filename: './storage/logs/filelog-info.log',
    level: 'info'
  }), new _winston2.default.transports.File({
    name: 'error-file',
    filename: './storage/logs/filelog-error.log',
    level: 'error'
  }), new _winston2.default.transports.Console({
    level: 'debug'
  })],
  exitOnError: false
});
spice.logger = logger;