'use strict';

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _koaConvert = require('koa-convert');

var _koaConvert2 = _interopRequireDefault(_koaConvert);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//var Boom = require('boom'); 
/**
                             * Created by chadfraser on 04/02/2017.
                             */

spice.routers = {};

var paths = _path2.default.join(spice.root_path, 'routes');
require('fs').readdirSync(paths).forEach(function (file) {
    if (file != 'index.js') {
        var router = require(_path2.default.join(paths, file));
        spice.routers[file.split('.')[0]] = router;

        spice.app.use(spice.routers[file.split('.')[0]].routes()).use(spice.routers[file.split('.')[0]].allowedMethods({
            throw: true,
            notImplemented: function notImplemented() {
                //return new Boom.notImplemented();
            },
            methodNotAllowed: function methodNotAllowed() {
                //return new Boom.methodNotAllowed();
            }
        }));
    }
});