"use strict";
/**
 * Created by chadfraser on 12/12/15.
 */

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var crypto = require("crypto");

var Crypt = function () {
    function Crypt() {
        _classCallCheck(this, Crypt);

        this.salt = "";
        this.hash = "";
    }

    _createClass(Crypt, [{
        key: "encrypt",
        value: function () {
            var _ref = _asyncToGenerator( /*#__PURE__*/regeneratorRuntime.mark(function _callee2(value) {
                var _this = this;

                var that;
                return regeneratorRuntime.wrap(function _callee2$(_context2) {
                    while (1) {
                        switch (_context2.prev = _context2.next) {
                            case 0:
                                that = this;
                                return _context2.abrupt("return", new Promise(function () {
                                    var _ref2 = _asyncToGenerator( /*#__PURE__*/regeneratorRuntime.mark(function _callee(resolve, reject) {
                                        var salt, hash_obj;
                                        return regeneratorRuntime.wrap(function _callee$(_context) {
                                            while (1) {
                                                switch (_context.prev = _context.next) {
                                                    case 0:
                                                        _context.prev = 0;

                                                        if (!value) {
                                                            reject(new Error('Value must not be empty'));
                                                        }
                                                        _context.next = 4;
                                                        return that.generateRandumString(128);

                                                    case 4:
                                                        salt = _context.sent;
                                                        _context.next = 7;
                                                        return that.findHash(value, salt);

                                                    case 7:
                                                        hash_obj = _context.sent;

                                                        resolve(hash_obj);
                                                        _context.next = 14;
                                                        break;

                                                    case 11:
                                                        _context.prev = 11;
                                                        _context.t0 = _context["catch"](0);

                                                        reject(_context.t0);

                                                    case 14:
                                                    case "end":
                                                        return _context.stop();
                                                }
                                            }
                                        }, _callee, _this, [[0, 11]]);
                                    }));

                                    return function (_x2, _x3) {
                                        return _ref2.apply(this, arguments);
                                    };
                                }()));

                            case 2:
                            case "end":
                                return _context2.stop();
                        }
                    }
                }, _callee2, this);
            }));

            function encrypt(_x) {
                return _ref.apply(this, arguments);
            }

            return encrypt;
        }()
    }, {
        key: "generateRandumString",
        value: function () {
            var _ref3 = _asyncToGenerator( /*#__PURE__*/regeneratorRuntime.mark(function _callee4(length) {
                var _this2 = this;

                return regeneratorRuntime.wrap(function _callee4$(_context4) {
                    while (1) {
                        switch (_context4.prev = _context4.next) {
                            case 0:
                                return _context4.abrupt("return", new Promise(function () {
                                    var _ref4 = _asyncToGenerator( /*#__PURE__*/regeneratorRuntime.mark(function _callee3(resolve, reject) {
                                        return regeneratorRuntime.wrap(function _callee3$(_context3) {
                                            while (1) {
                                                switch (_context3.prev = _context3.next) {
                                                    case 0:
                                                        if (!length) {
                                                            length = 64;
                                                        }
                                                        crypto.randomBytes(length, function (err, bytes) {
                                                            if (err) {
                                                                reject(err);
                                                            }
                                                            var ran_bytes = new Buffer(bytes).toString('hex');
                                                            resolve(ran_bytes);
                                                        });

                                                    case 2:
                                                    case "end":
                                                        return _context3.stop();
                                                }
                                            }
                                        }, _callee3, _this2);
                                    }));

                                    return function (_x5, _x6) {
                                        return _ref4.apply(this, arguments);
                                    };
                                }()));

                            case 1:
                            case "end":
                                return _context4.stop();
                        }
                    }
                }, _callee4, this);
            }));

            function generateRandumString(_x4) {
                return _ref3.apply(this, arguments);
            }

            return generateRandumString;
        }()
    }, {
        key: "findHash",
        value: function () {
            var _ref5 = _asyncToGenerator( /*#__PURE__*/regeneratorRuntime.mark(function _callee6(value, salt) {
                var _this3 = this;

                return regeneratorRuntime.wrap(function _callee6$(_context6) {
                    while (1) {
                        switch (_context6.prev = _context6.next) {
                            case 0:
                                _context6.prev = 0;
                                return _context6.abrupt("return", new Promise(function () {
                                    var _ref6 = _asyncToGenerator( /*#__PURE__*/regeneratorRuntime.mark(function _callee5(resolve, reject) {
                                        return regeneratorRuntime.wrap(function _callee5$(_context5) {
                                            while (1) {
                                                switch (_context5.prev = _context5.next) {
                                                    case 0:
                                                        crypto.pbkdf2(value, salt, 7000, 256, 'sha512', function (err, hash) {
                                                            if (err) {
                                                                reject(err);
                                                            }
                                                            var object = {};
                                                            object.hash = new Buffer(hash).toString('hex');
                                                            object.salt = salt;
                                                            resolve(object);
                                                        });

                                                    case 1:
                                                    case "end":
                                                        return _context5.stop();
                                                }
                                            }
                                        }, _callee5, _this3);
                                    }));

                                    return function (_x9, _x10) {
                                        return _ref6.apply(this, arguments);
                                    };
                                }()));

                            case 4:
                                _context6.prev = 4;
                                _context6.t0 = _context6["catch"](0);
                                return _context6.abrupt("return", Promise.reject(_context6.t0));

                            case 7:
                            case "end":
                                return _context6.stop();
                        }
                    }
                }, _callee6, this, [[0, 4]]);
            }));

            function findHash(_x7, _x8) {
                return _ref5.apply(this, arguments);
            }

            return findHash;
        }()
    }]);

    return Crypt;
}();

module.exports = Crypt;