"use strict";
import Router from 'koa-router';
import jwt from 'koa-jwt';
import convert from 'koa-convert';
let router = new Router();
var ${route} = require('../controllers/${route}');
var jwt_controller = require('../controllers/jwt');

router.prefix('/api/${plural_route}');
router.use(convert(jwt({ secret: spice.config.jwt.secret})));
router.use(jwt_controller.check_user_exist);

router.get('/', ${route}.list);
router.post('/', ${route}.validate_insert, ${route}.create);
router.get('/:${single_route}', ${route}.get);
router.put('/:${single_route}', ${route}.validate_update, ${route}.update);
router.delete('/:${single_route}', ${route}.delete);

module.exports = router;