import path from 'path';

spice.app.use(async(ctx, next) => {
    try {
        await next()
        if(ctx.request.url.search('api') == -1){
            const status = ctx.status || 404
            if (status === 404) {
                ctx.throw(404)
            }
        }
    } catch (err) {
        ctx.status = err.status || 500

        await ctx.render('errors/index', {
            error: err || 500
        });
    }
})


/*

spice.app.on('error', function (err) {
    if (process.env.NODE_ENV != 'test') {
        //console.log('sent error %s to the cloud', err.message);
        console.log("Global Error Handler:",err);
    }
});*/