import path from 'path';
import _ from 'lodash';
import {readdirSync} from 'fs';
module.exports = function (){
    return new Promise(function (resolve, reject) {
        try {
            console.log(__dirname, spice.root_path+'/config');
            let locations = [__dirname, spice.root_path+'/config']
            let config = {}
            for(let i of locations){
                console.log('Current Dir', i)
                let files = readdirSync(i);
                files.forEach(function (file) {
                    if (file != 'index.js') {
                        let name = file.split('.')[0];
                        config[name] = _.defaults(require(path.join(i, file)),config[name]);
                        spice.config = config;
                    }
                });
                console.log('Done loading config from', i);
            }
            resolve(config)

        } catch (e) {
            reject(e);
        }
    });
}